<?php

if ( 'comments.php' == basename( $_SERVER['SCRIPT_FILENAME'] ) )
	die( 'Please do not load this page directly. Thanks!' );

?>

<div id="comments">

<?php 
	if ( post_password_required() ) :
		echo '<p class="warning">' . __( 'This post is password protected. Enter the password to view any comments.', 'fap' ) . '</p>
		</div><!-- .comments -->';
		return;
	endif;
?>

<?php
	// You can start editing here
?>

<?php if ( have_comments() ) : ?>

    <h3 id="comments-title">
		<?php
        	comments_number(
				sprintf( __( 'No Responses to %s', 'fap' ), get_the_title() ),
				sprintf( __( 'One Response to %s', 'fap' ), get_the_title() ),
				sprintf( __( '%% Responses to %s', 'fap' ), get_the_title() )
			);
        ?>
        
        <a href="#respond" title="<?php esc_attr_e( 'Add your comment', 'fap' ); ?>"><?php _e( 'Add your comment', 'fap' ); ?></a>
    </h3>
    
    <ol class="commentlist <?php if ( get_option('show_avatars') == 0 ) echo 'noavatar'; # If avatars are disabled ?>">
    	<?php wp_list_comments( array( 'callback' => 'fap_comment' ) ); ?>
    </ol>
    
	<?php if ( get_comment_pages_count() > 1 ) : // are there comments to navigate through? ?>
        <div class="navigation comment-nav">
            <p class="alignleft"><?php previous_comments_link( __( '&laquo; Older Comments', 'fap' ) ); ?></p>
            <p class="alignright"><?php next_comments_link( __( 'Newer Comments &raquo;', 'fap' ) ); ?></p>
        </div>
    <?php endif; ?>

<?php else : // or, if we don't have comments 

	if ( !comments_open() && !is_page() ) : // If comments are open, but there are no comments ?>
		<p class="nocomments"><?php _e( 'Comments are closed.', 'fap' ); ?></p> <?php
	endif;

endif; // end have_comments() ?>

<?php
	$comment = array(
		'label_submit' => __( 'Submit Comment', 'fap' ),
		'comment_notes_after' => '' // Removes the Allowed Tags section
	);
	
	comment_form( $comment ); 
?>

</div> <!-- #comments -->