<?php

/**
 * Options page "Fapowy"
 */
 
function fapowy_theme() { 

$domain = 'fap';

// Find color schemes and put them in the $styles array
$styles = array();

foreach ( glob( TEMPLATEPATH . '/styles/*.css' ) as $style ) {  
	$styles[] = basename( $style );
} 

// The options				
$metaboxes = array(

	array(
		'type' => 'open'
	),
	
	/* Theme section */
	array(
		'type'  => 'sectionopen',
		'title' => __( 'Theme Settings', $domain ),
		'id'	=> 'theme',
		'hide'	=> false
	),
	
	array(
		'title' 		=> __( 'Color scheme', $domain),
		'description' 	=> __( 'Select the color scheme for the theme', $domain ) . sprintf( __( '&nbsp;(Default: %s)', $domain ), 'red.css' ),
		'id'			=> 'color_scheme',
		'type'			=> 'select',
		'options'		=> $styles,
		'default'		=> 'red.css'
	),
	
	array(
		'title' 		=> __( 'Exclude categories', $domain ),
		'description' 	=> __( 'If you want to exclude some categories from the loop (Hold down ctrl/command to select multiple)', $domain ),
		'id'			=> 'exclude_cats',
		'type'			=> 'cat'
	),
	
	array(
		'title' 		=> __( 'Hide description', $domain ),
		'id'			=> 'hide_desc',
		'type'			=> 'checkbox'
	),
	
	array(
		'title' 		=> __( 'Intro text', $domain ),
		'description' 	=> __( 'Write something here if you want some text after the slider, but before the posts', $domain ) . __('&nbsp;(HTML and shortcodes allowed)', $domain ),
		'id'			=> 'intro_text',
		'type'			=> 'textarea'
	),
	
	array(
		'type' => 'sectionclose'
	),
	
	// Post section
	array(
		'type'  => 'sectionopen',
		'title' => __( 'Post Settings', $domain ),
		'id'	=> 'post',
		'hide' 	=> true
	),
	
	array(
		'title' 		=> __( 'Thumbnail width', $domain ),
		'description' 	=> __( 'Width of the post thumbnail', $domain ) . sprintf( __( '&nbsp;(Default: %s)', $domain ), '640' ),
		'id'			=> 'thumbnail_width',
		'type'			=> 'text',
		'class'			=> 'short',
		'default'		=> '640'
	),
	
	array(
		'title' 		=> __( 'Thumbnail height', $domain ),
		'description' 	=> __( 'Height if the post thumbnail', $domain ) . sprintf( __( '&nbsp;(Default: %s)', $domain ), '260' ),
		'id'			=> 'thumbnail_height',
		'type'			=> 'text',
		'class'			=> 'short',
		'default'		=> '260'
	),
	
	array(
		'type' => 'sectionclose'
	),
	
	// Slider section
	array(
		'type'  => 'sectionopen',
		'title' => __( 'Slider Settings', $domain ),
		'id'	=> 'slider',
		'hide' 	=> true
	),
	
	array(
		'title' 		=> __( 'Show slider', $domain ),
		'id'			=> 'show_slider',
		'type'			=> 'checkbox'
	),
	
	array(
		'title' 		=> __( 'Randomize order', $domain ),
		'description' 	=> __( 'Check if you want a random slide order', $domain ),
		'id'			=> 'random_slide',
		'type'			=> 'checkbox'
	),
	
	array(
		'title' 		=> __( 'Number of slides', $domain ),
		'description' 	=> __( 'Number of posts in the slider', $domain ) . sprintf( __('&nbsp;(Default: %s)', $domain ), '5' ),
		'id'			=> 'number_slides',
		'type'			=> 'text',
		'class'			=> 'short',
		'default'		=> '5'
	),
	
	array(
		'type' => 'sectionclose'
	),
	
	// Other section 
	array(
		'type'  => 'sectionopen',
		'title' => __( 'Other Settings', $domain ),
		'id'	=> 'other',
		'hide' 	=> true
	),
	
	array(
		'title' 		=> __( 'Alternative RSS', $domain ),
		'description' 	=> __( 'Alternate feed address, such as Feedburner', $domain ),
		'id'			=> 'alternative_rss',
		'type'			=> 'text',
		'class'			=> 'long',
	),

	array(
		'description' 	=> __( 'Direct category, tag, search, and author feeds to your alternate feed address?', $domain ),
		'id'			=> 'direct_feed',
		'type'			=> 'checkbox'
	),
	
	array(
		'title' 		=> __( 'Favicon', $domain),
		'description' 	=> __( 'Link to your sites favicon', $domain ),
		'id'			=> 'favicon',
		'type'			=> 'text',
		'class'			=> 'long',
		'default'		=> get_option('home') . '/favicon.ico'
	),
	
	array(
		'title' 		=> __( 'Footer text', $domain ),
		'description' 	=> __( 'You can use HTML and/or shortcodes.', $domain ) . '&nbsp;' . __( 'Here some of the shortcodes:', $domain ) . '&nbsp;' . '<code>[year]</code>, <code>[site-link]</code>, <code>[wp-link]</code>, <code>[theme-link]</code>, <code>[loginout-link]</code>.' . '&nbsp;' . __( 'See the documentation for more', 'fap' ),
		'id'			=> 'footer_text',
		'type'			=> 'textarea',
	),
	
	array(
		'title' 		=> __( 'Google Analytics', $domain ),
		'description' 	=> __( 'Insert your Google Analytics (or other) code here', $domain ),
		'id'			=> 'google_analytics',
		'type'			=> 'textarea',
		'default'		=> ''
	),
	
	array(
		'type' => 'sectionclose'
	),
	
	array(
		'type' => 'save'
	),
	
	array(
		'type' => 'close'
	),
	
	array(
		'type'  => 'sidebar'
	)
);

	if ( $_REQUEST['updated'] ) 
		echo '<div class="updated"><p><strong>' . __('Options saved.') . '</strong></p></div>';
	elseif ( $_REQUEST['fap_reset'] ) 
		echo '<div class="updated"><p><strong>' . __('Options have been reset.') . '</strong></p></div>';
		
	
foreach ( $metaboxes as $box ) :

switch ( $box['type'] ) {
	
	case "open" : ?>
    
        <div class="wrap fapAdmin">
        
            <h2><img src="<?php echo THEME_URI . '/inc/admin/images/admin-panel-icon.png'; ?>" alt="" /> <?php echo THEME_NAME . ' ' .  __( 'Settings' ); ?></h2>
            
            <form method="post" action="options.php" id="fapform">
            
            <?php
				// Get and register the general settings
				settings_fields( 'fap_options' ); 
				$options = get_option( 'fapowy' );
            ?>
        
            <div class="postbox-container main-site">
            
            <ul class="nav">
            	<?php
					foreach ( $metaboxes as $tab ) :
	
						switch ( $tab['type'] ) {
							case 'sectionopen' :
								echo '<li><a href="#' . $tab['id'] . '">' . ucfirst( $tab['id'] ) . '</a></li>';	
							break;
						}
						
					endforeach;
				?>
            </ul>
	
    <?php
        break;
		
	case "sectionopen" :

		echo '<div class="postbox" id="' . $box['id'] . '">
    		  <h3><span>' . $box['title'] . '</span></h3>
        	  <div class="inside">';
			
		break;
	
	// Text fields
	case "text" : ?>
		
        <p>
            <label for="<?php echo $box['id']; ?>"><?php echo $box['title']; ?></label>
            
            <input type="text" name="fapowy[<?php echo $box['id']; ?>]" id="<?php echo $box['id']; ?>" value="<?php if ( $options[ $box['id'] ] ) echo $options[ $box['id'] ]; else echo $box['default']; ?>" class="<?php if ( $box['class'] ) echo $box['class']; ?>" />
            
            <small class="description"><?php echo $box['description']; ?></small>
        </p>
   	
    <?php
		break;
	
	// Uploads	     
	case "upload" : ?>
		
        <p>
            <label for="upload_image"><?php echo $box['title']; ?></label>
            
            <input id="upload_image" type="text" size="60" name="fapowy[<?php echo $box['id']; ?>]" value="<?php if ( $options[ $box['id'] ] ) echo $options[ $box['id'] ]; else echo $box['default']; ?>" />
            
			<input id="upload_image_button" type="button" class="button" value="<?php _e( 'Upload Image', 'fap' ); ?>" />

            <small class="description desc-under"><?php echo $box['description']; ?></small>
            
            <?php
				// Image preview
            	if ( $options[ $box['id'] ] )
					echo '<img src="' . $options[ $box['id'] ] . '" alt="" class="image" />';
				else
					echo '<img src="' . $box['default'] . '" alt="" class="image" />';
			?>
        </p>
        
    <?php
		break;
	
	// Textarea
	case "textarea" : 
	
		// Hide the Google Analytics field if the "Google Analytics for WordPress" is activated
		if ( class_exists( 'GA_Admin' ) && $box['id'] == 'google_analytics' )
			return;
	?>
    
        <p>
            <label for="<?php echo $box['id']; ?>"><?php echo $box['title']; ?></label>
            
            <textarea name="fapowy[<?php echo $box['id']; ?>]" id="<?php echo $box['id']; ?>" rows="7" cols="60"><?php if ( $options[ $box['id'] ] ) echo stripslashes( $options[ $box['id'] ] ); else echo $box['default']; ?></textarea>
            
            <small class="description desc-under"><?php echo $box['description']; ?></small>
        </p>
        
    <?php
		break; 
	
	// Checkboxes
	case "checkbox" : ?>
    
        <p>
            <label for="<?php echo $box['id']; ?>"><?php echo $box['title']; ?></label>
            
            <input type="checkbox" name="fapowy[<?php echo $box['id']; ?>]" id="<?php echo $box['id']; ?>" value="1" <?php checked( '1', $options[ $box['id'] ] ); ?> />
            
            <small class="description"><?php echo $box['description']; ?></small>
        </p>
	
    <?php
    	break;
	
	// Select dropdowns
	case "select" : ?>

        <p>
            <label for="<?php echo $box['id']; ?>"><?php echo $box['title']; ?></label>
            
            <select name="fapowy[<?php echo $box['id']; ?>]" id="<?php echo $box['id']; ?>">
            	<?php
					foreach ( $box['options'] as $option ) {
					
						if ( $option == $options[ $box['id'] ] )
							$selected = 'selected="selected"';
						else 
							$selected = '';
							
						echo "<option $selected value='$option'>$option</option>";
						
					}
				?>
            </select>
            
            <small class="description"><?php echo $box['description']; ?></small>
        </p>
	
	<?php
		break;

	// Multiple select
	case "multiple" : ?>
    
		<p>
            <label for="<?php echo $box['id']; ?>"><?php echo $box['title']; ?></label>
            
            <select name="fapowy[<?php echo $box['id']; ?>][]" multiple="multiple" id="<?php echo $box['id']; ?>">
            	<?php
					foreach ( $box['options'] as $option ) {
					
						if ( in_array( $option, $options[ $box['id'] ] ) )
							$selected = 'selected="selected"';
						else 
							$selected = '';
							
						echo "<option $selected value='$option'>$option</option>";
						
					}
				?>
            </select>
            
            <small class="description desc-under"><?php echo $box['description']; ?></small>
        </p>
    
	<?php 
		break;  
		
	// Category multiple select
	case "cat" : ?>
    
		<p>
            <label for="<?php echo $box['id']; ?>"><?php echo $box['title']; ?></label>
            
            <select name="fapowy[<?php echo $box['id']; ?>][]" multiple="multiple" id="<?php echo $box['id']; ?>">
            
            	<?php
					$catentries = get_categories('hide_empty=0');
					
                    foreach ( $catentries as $cat ) {
                
                        $catid = $cat->term_id;
                        
						// Get the selected cats
                        if ( in_array( $catid, $options[ $box['id'] ] ) )
                            $cselected = "selected='selected'";	
                        else
                            $cselected = "";		

                        echo "<option $cselected value='$catid'>$cat->cat_name</option>";
						
                    }
				?>
            </select>
            
            <small class="description desc-under"><?php echo $box['description']; ?></small>
        </p>
    
	<?php 
		break;     

	case "save" :
		echo '<input type="submit" class="button-primary" value="' . __( 'Save Changes' ) . '" />';
		break;
		
	case "sectionclose" :
		echo '</div></div>';
		break;
		
	case "close" :
		echo '</div></form>';
		break;
	
	// Sidebar
	case "sidebar" : ?>
    
			<div class="postbox-container sidebar">
            
                <div class="postbox">
                    <h3><span><?php _e( 'Theme Information', 'fap' ) ?></span></h3>
                    
                    <div class="inside">
                    	<?php
							$theme_data = get_theme_data( TEMPLATEPATH . '/style.css' );
                        	fap_update_notice(); 
						
							echo '<p>' . sprintf( __( 'You are using %1$s by %2$s', 'fap' ), '<a href="' . $theme_data['URI'] . '">' . $theme_data['Title'] . '&nbsp;' . $theme_data['Version'] . '</a>', '<a href="' . $theme_data['URI'] . '">' . $theme_data['Author'] . '</a>' ) . '</p>';

						?>
                       
                    </div>
                 </div>
                 
				<div class="postbox">
                    <h3><span><?php _e( 'Help' ); ?></span></h3>
                    
                    <div class="inside">
                    	<p><?php _e( 'If you need any help with theme, please refer to the documentation included in the download.', 'fap' ); ?></p>
                        
                        <p><?php printf( __( 'If you have any questions that are beyond the scope of the documentation, feel free to email via my <a href="%s">user page contact form here</a>.', 'fap' ), 'http://themeforest.net/user/jayjdk'); ?></p>
                        
                        <p><?php printf( __( 'If you change the thumbnail size, I recommend you to use the <a href="%s">Regenerate Thumbnails</a> plugin to regenerate your images with the right dimensions.', 'fap' ), 'http://wordpress.org/extend/plugins/regenerate-thumbnails/'); ?></p>
                    </div>
                 </div>
                 
            </div>
            
		</div> <!-- end wrap -->
        
	<?php
    	break;
		
} // end switch

endforeach; 
	
} // fapowy_theme()

// Validate the fields
// http://codex.wordpress.org/Data_Validation
function fap_options_validate( $input ) {

	// Encodes < > & " ' (less than, greater than, ampersand, double quote, single quote)
	$input['color_scheme'] 		= esc_html( $input['color_scheme'] );
	$input['intro_text'] 		= esc_html( $input['intro_text'] );
	$input['footer_text'] 		= esc_html( $input['footer_text'] );
	$input['head_include'] 		= esc_html( $input['head_include'] );
	$input['footer_include'] 	= esc_html( $input['footer_include'] );
	
	$input['google_analytics'] 	= addslashes_gpc( $input['google_analytics'] );

	// Validate URLS
	$input['logo'] 				= esc_url( $input['logo'] ); 
	$input['alternative_rss'] 	= esc_url( $input['alternative_rss'] ); 
	$input['favicon'] 			= esc_url( $input['favicon'] ); 
	
	// Have to be numbers
	$input['thumbnail_width'] 	= intval( $input['thumbnail_width'] );
	$input['thumbnail_height'] 	= intval( $input['thumbnail_height'] );
	$input['number_slides'] 	= intval( $input['number_slides'] );

	return $input;
}