<?php get_header(); ?>

<div id="main">

	<?php $id = get_query_var( 'author' ); ?>
    
    <h1 class="page-title">
		<?php printf( __( 'Author Archives: %s', 'fap' ), "<span class='vcard'><a class='url fn n' href='" . get_author_posts_url( $id ) . "' title='" . 	esc_attr( get_the_author_meta( 'display_name', $id ) ) . "' rel='me'>" . get_the_author_meta( 'display_name', $id ) . "</a></span>" ); ?>
    </h1>
    
    <?php
    // If a user has filled out their description, show a bio
    if ( get_the_author_meta( 'description', $id ) ) : ?>
        <div class="entry-author-info">
			<?php echo get_avatar( get_the_author_meta( 'user_email', $id ), 60 ); ?>
            
            <div class="author-description">
                <h4><?php printf( __( 'About %s', 'fap' ), get_the_author_meta( 'display_name', $id ) ); ?></h4>
                <p><?php the_author_meta( 'description', $id ); ?></p>
                
                <?php
                    // If they've entered a Twitter username
                    if ( get_the_author_meta( 'twitter', $id ) )
                    	echo '<p><a href="http://twitter.com/' . esc_attr( get_the_author_meta( 'twitter', $id ) ) . '">' . sprintf( __('Follow %s on Twitter', 'fap'), get_the_author_meta( 'display_name', $id ) ) . '</a></p>';	
                ?>
            </div> <!-- .author-description	-->
        </div> <!-- .entry-author-info -->
    <?php endif; ?>
    
    <?php
		// Get excluded cats and remove them from the loop
		$getexcats = $foption['exclude_cats'];
		
		global $wp_query;
		
		query_posts(
			array_merge(
				array('category__not_in' => $getexcats),
				$wp_query->query
			)
		);
		
		if ( have_posts() ) : while ( have_posts() ) : the_post(); 
    ?>
    
        <div <?php post_class(); ?>>
        
            <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
            
            <p class="entry-meta">
                <?php
                    printf( __( 'Posted in %1$s by <a href="%2$s" class="url fn n" title="%3$s">%4$s</a>', 'fap' ),
                        get_the_category_list(', '),
                        get_author_posts_url( get_the_author_meta( 'ID' ) ),
                        sprintf( esc_attr__( 'View all posts by %s', 'fap' ), get_the_author() ),
                        get_the_author()
                    );
                    
                    echo ' | ';
                    comments_popup_link( __( 'Leave a comment', 'fap' ), __( '1 Comment', 'fap' ), __( '% Comments', 'fap' ) ); 
                    edit_post_link( __( 'Edit' ), ' | ' );
                ?>
            </p>
            
            <?php 
                if ( has_post_thumbnail() )
                    the_post_thumbnail( 'thumbnail' );
                
                the_excerpt( __( 'Continue reading &raquo;', 'fap' ) );
                wp_link_pages( array( 'before' => '<p class="pages">' . __( 'Pages:', 'fap' ), 'after' => '</p>' ) );
            ?>
            
            <p class="entry-date">
                <?php fap_date(); ?>
            </p>
            
            <div class="clear"></div>
        
        </div> <!-- end .post-<?php the_ID(); ?> -->
    
    <?php endwhile; ?>
    
    	<?php get_template_part( 'navigation', 'author' ); ?>
    
    <?php else : ?>
    
        <hr />
        
        <h4><?php printf( __( "%s hasn't written any posts yet", "fap" ), get_the_author_meta( "display_name", $id ) ); ?></h4>
    
    <?php endif; ?>

</div> <!-- end #main -->

<?php
	get_sidebar();
	get_footer();
?>