<?php get_header(); ?>

<div id="main">

    <?php 
        // Get excluded cats and remove them from the loop
        $getexcats = $foption['exclude_cats'];
        
        global $wp_query;
        query_posts(
            array_merge(
                array( 'category__not_in' => $getexcats ),
                $wp_query->query
            )
        );
    
        if ( have_posts() ) :
    ?>
    
        <h1 class="page-title"><?php printf( __( 'Search Results for: %s', 'fap' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
        
        <hr />
    
    <?php
        while ( have_posts() ) : the_post(); 
        
        // Add post class to page results
        $post_class = ( get_post_type() == 'page' ) ? 'post' : '';
    ?>
        <div <?php post_class( $post_class ); ?>>
        
            <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
            
            <p class="entry-meta">
				<?php
                    $posted_in = ( is_object_in_taxonomy( get_post_type(), 'category' ) ) ? __( 'in', 'fap' ) : ''; // Don't show category on page results
                
                    printf( __( 'Posted %1$s %2$s by <a href="%3$s" class="url fn n" title="%4$s">%5$s</a>', 'fap' ),
                        $posted_in,
                        get_the_category_list(', '),
                        get_author_posts_url( get_the_author_meta( 'ID' ) ),
                        sprintf( esc_attr__( 'View all posts by %s', 'fap' ), get_the_author() ),
                        get_the_author()
                    );
                    
                    echo ' | ';
                    comments_popup_link( '0 Comments', '1 Comment', '% Comments' );
                    edit_post_link( __( 'Edit' ), ' | ' );
                ?>
            </p>
            
            <?php 
                if ( has_post_thumbnail() )
                    the_post_thumbnail( 'thumbnail' );
                
                the_excerpt( __('Continue reading &raquo;', 'fap') );
                
                wp_link_pages( array( 'before' => '<p class="pages">' . __( 'Pages:', 'fap' ), 'after' => '</p>' ) );
            ?>
            
            <?php if ( get_post_type() != 'page' ) { // Remove date on page results ?>
                <p class="entry-date">
                    <?php fap_date(); ?>
                </p>
            <?php } ?>
            
            <div class="clear"></div>
        
        </div> <!-- end .post-<?php the_ID(); ?> -->
    
    <?php 
        endwhile; 
        
            get_template_part( 'navigation', 'search' );
            
        else :
    ?>
    
        <h2 class="entry-title"><?php _e( 'Nothing Found', 'fap' ); ?></h2>
        
        <p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'fap' ); ?></p>
        
        <?php get_search_form(); ?>
            
    <?php		
        endif; 
    ?>

</div> <!-- end #main -->
    
<?php
	get_sidebar();
	get_footer();
?>